* {
    background: #343a40;
    color: #F5F5F5;
    font-size: 14px;
    font-family: 'Lucida Sans Unicode';
    /* border: none; */
    /* padding: 10px; */
    /* margin: 0px; */
    /* border-radius:0px; */
}

QWidget[rightside_homepage=true]{
    padding: 0px;
    margin: 0px;
    border-right: 1px outset #5f6974; 
    
}

QWidget[homepage_header_menu=true]{
    padding: 0px;
    margin: 0px;
    border-bottom: 1px outset #5f6974; 
}

QMainWindow{
    width: 960;
    height: 640;
    padding-top:10px;
}

QGroupBox {
    padding-top:30px;
    /* margin-top: 15px; */
    border: none;
}

QGroupBox::title {
    /* margin: 10px; */
    text-align: left;
    padding-bottom: 10px;
    padding-right: 900px;
    border-bottom: 1px outset #5f6974;

}

QComboBox{
    border: 1px solid #5f6974;
}

QComboBox:disabled{
    background: #5f6974;
}

QComboBox QAbstractItemView {
    selection-color: black;
    selection-background-color: rgb(50,193,216);
}


QListWidget{
    border: none;
    height: 180;
    /* background: #343a40; */
}

QListWidget::item:hover{
    background-color: qlineargradient(x1: 1, y1: 0, x2: 0, y2: 1,
                                stop: 1 rgb(50,193,216), 
                                stop: 0 rgb(47, 111, 174));
    height: 180;
    /*background: rgb(50,193,216);*/
    border-radius:4px;
    /*background-color: rgb(50,193,216);*/
    color: black;
}

QPushButton{
    background: none;
    margin: 0px;
    border: 1px solid #a3a3a3;
    /* min-width: 5em; */
    padding: 5px; 
}

QPushButton:hover{
    border-collapse: unset;
    border-bottom: 3px solid rgb(50,193,216);
}
QPushButton:disabled{
    background: #5f6974;
}

QPushButton[homepage_header_menu=true]{
    background: none;
    margin: 0px;
    border: none;
    width: 100;
    font: bold 14px;
    border-bottom: none;
    /* min-width: 10em; */
    /* margin: 5px; */
    padding: 10px; 
}
QPushButton:hover[homepage_header_menu=true]{
    border-collapse: unset;
    border-bottom: 3px solid rgb(50,193,216);

    
}
QPushButton:checked[homepage_header_menu=true]{
    border-bottom: 2px outset #F5F5F5;
    font: bold 16px;  
}
QPushButton:checked:hover[homepage_header_menu=true]{
    border-collapse: unset;
    border-bottom: 3px solid rgb(50,193,216);

    
}
/* * [launch-widget]{
    margin: 0px;
    padding:0px;
    background:blue;
    border-radius:6px;
} */

QPushButton[projectpage_header_menu=true]{
    height: 50;
    width: 50;
    background: none;
    margin: 0px;
    border: none;
    padding: 0px; 
}

QPushButton:hover[projectpage_header_menu=true]{
    background: #1d2024;
}

QPushButton[scroll=true]{
    background: none;
    margin: 0px;
    border: none;
    /* border-right: 1px solid #5f6974; */
    padding: 5px; 
    height: 68px;
}

QPushButton[scroll=true][right=true]{
    border-right: 1px solid #5f6974;
}

QPushButton[scroll=true][left=true]{
    border-left: 1px solid #5f6974;
}

QPushButton:hover[scroll=true]{
    background: #c7c7c7;
    border: none;
}

QLabel[projectpage_header_menu=true]{
    font: 28px bold;
}

QScrollArea{
    border: none;
}

QMenu::item:selected{
    color: black;
    background-color: rgb(50,193,216);
}

QToolTip { 
    background-color: whitesmoke;
    color:#1d2024;
}
